QGIS Application - Bug report #1567
Wrong band order in "lIdentify Features™
2009-03-09 05:50 AM - ilucena -

Status: Closed
Priority: Low
Assignee: ersts -
Category: Rasters

Affected QGIS version:

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 11627

Description

The list of bands,values on "Identify Features"/"Identify Results" should not use alphabetic sorting.

See what happens with a 12 bands Geotiff:

Band1

Band10

Bandi1

Band12

Band2

Band3

Band4

Band5

Band6

Band7

Band8

Band9

It should preserve the order of bands,values that is one the dataset.

History

#1 - 2009-03-11 05:16 PM - ersts -
- Status changed from Open to In Progress

#2 - 2009-03-14 12:21 PM - ersts -

| will let this stay in the trunk for a couple of days before merging into the v1.0 branch.
#3 - 2009-03-14 12:21 PM - ersts -
- Resolution set to fixed
- Status changed from In Progress to Closed

#4 - 2009-03-14 12:43 PM - Jiirgen Fischer

fixed in commit:23f865a5 (SVN r10279)
